List products
Retrieves a list of available products with filtering and pagination options. When paymentCurrency is provided, prices are converted using our FX rates.
Authorization
bearerAuth Add your API key here
In: header
Query Parameters
Filter by exact product slug
Filter by multiple exact product slugs. Accepts repeated params (?slugs=a&slugs=b) or a comma-separated value (?slugs=a,b). Takes precedence over slug.
Filter by brand slug
Filter by brand category. Options are: giftcard / gamecard / payment-card
Filter by redeem type. Options: region / service / currency
Filter by redeem value
Filter by currency
Currency to convert the prices to
Filter by whether the product is variable or fixed
Filter by face value
Sort by field. Options: price / name / brand / faceValueAmount
"faceValueAmount"Sort order. Options: asc / desc
"asc"Number of results per page
Page number
Response Body
application/json
curl -X GET "https://connect.relograde.com/api/1.03/product?sortOrder=asc"{ "data": [ { "slug": "amazon-gb-gbp-10", "name": "Amazon.co.uk 10 GBP", "faceValueAmount": 10, "faceValueCurrency": "gbp", "faceValueMin": 5, "faceValueMax": 500, "faceValueMinInPaymentCurrency": 5, "faceValueMaxInPaymentCurrency": 503.2, "isStocked": true, "priceAmount": 10.19, "priceCurrency": "gbp", "priceAmountInPaymentCurrency": 11.68, "paymentCurrency": "eur", "priceInclVat": 12.33, "priceInclVatInPaymentCurrency": 14.26, "vatAmount": 2.14, "vatAmountInPaymentCurrency": 2.45, "feeVariable": 1.025, "feeFixed": 0, "feeFixedInPaymentCurrency": 0, "feeCurrency": "eur", "redeemValue": "eur", "brandSlug": "amazon", "category": "giftcard", "redeemType": "service", "brandName": "Amazon", "isVariableProduct": false, "vatCategory": "string", "inScope": true } ], "metadata": { "page": 1, "pageSize": 50, "totalItems": 100, "totalPages": 2 }}